// Copyright (c) 2017, Herman Bergwerf. All rights reserved.
// Use of this source code is governed by a MIT-style license
// that can be found in the LICENSE file.

import 'dart:html';
import 'dart:convert';

import 'package:editex/editex.dart';

void main() {
  final editor = new EdiTeX(querySelector('#editor'));
  final InputElement dataInput = querySelector('#data');
  final InputElement exprInput = querySelector('#expr');
  final InputElement latexInput = querySelector('#latex');

  querySelector('#get-data').onClick.listen((_) {
    dataInput.value = JSON.encode(editor.getData());
  });

  querySelector('#load-data').onClick.listen((_) {
    editor.loadData(JSON.decode(dataInput.value));
  });

  querySelector('#get-expr').onClick.listen((_) {
    exprInput.value = editor.getParsableContent();
  });

  querySelector('#get-latex').onClick.listen((_) {
    latexInput.value = editor.getLaTeX();
  });
}
